<<

# Bugzilla::Report

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

Bugzilla::Report - Bugzilla report class.

# SYNOPSIS

        use Bugzilla::Report;

        my $report = new Bugzilla::Report(1);

        my $report = Bugzilla::Report->check({id => $id});

        my $name = $report->name;
        my $query = $report->query;

        my $report = Bugzilla::Report->create({ name => $name, query => $query });

        $report->set_name($new_name);
        $report->set_query($new_query);
        $report->update();

        $report->remove_from_db;

# DESCRIPTION

Report.pm represents a Report object. It is an implementation of Bugzilla::Object, and thus provides all methods that Bugzilla::Object provides.

<<